set nocompatible
filetype plugin indent on
syntax enable
set encoding=utf-8

set laststatus=2
set statusline=%l
set statusline+=<<
set statusline+=\ %f\ %*
set statusline+=>>
set statusline+=\ %2*\ %F
set statusline+=\ %m
set statusline+=%=
set statusline+=\ %1*\ <<
set statusline+=\ Line:\ %l
set statusline+=\ Col:\ %c
set statusline+=\ :::\ %n
set statusline+=\ >>

set number
set relativenumber
set numberwidth=4

highlight LineNr ctermfg=DarkGray guifg=#3a3a3a
highlight SignColumn ctermbg=NONE guibg=NONE
highlight LineNr cterm=italic gui=italic

set tabstop=4
set shiftwidth=4
set expandtab
set smartindent
set nowrap

set incsearch
set hlsearch
set ignorecase
set smartcase

set mouse=a
set scrolloff=5
set cursorline
set noshowmode
set shortmess+=I
set laststatus=2

let mapleader = "\<Space>"

nnoremap <leader>w :w<CR>
nnoremap <leader>q :q<CR>

nnoremap <silent> <leader>h :nohlsearch<CR>

nnoremap <leader>n :set relativenumber!<CR>

nnoremap <C-h> <C-w>h
nnoremap <C-j> <C-w>j
nnoremap <C-k> <C-w>k
nnoremap <C-l> <C-w>l

call plug#begin('~/.vim/plugged')
  Plug 'preservim/nerdtree'    
  Plug 'itchyny/lightline.vim' 
  Plug 'tpope/vim-commentary'  
  Plug 'airblade/vim-gitgutter'
call plug#end()

nnoremap <leader>t :NERDTreeToggle<CR>
